API Documentation

Naafi Social ships with the standard SMM-panel JSON API. Drop-in compatible with child panels, automation tools and resellers.

HTTP MethodPOST
API URLhttps://your-domain.com/api/public/v2
API KeyLog in & copy fromDashboard → API
Response formatJSON

Add order

ParameterDescription
keyYour API key
actionadd
serviceService ID
linkLink to the page / video / profile
quantityQuantity needed
runs(optional)Drip-feed runs
interval(optional)Interval in minutes between runs
comments(optional)Comma-separated custom comments

Example success response

{ "order": 23501 }

Example error response

{ "error": "incorrect service type" }

Services list

ParameterDescription
keyYour API key
actionservices

Example response

[ {"service": 1,"name": "Followers","type": "Default","category": "Instagram Followers","rate": "0.90","min": "50","max": "10000","refill": true} ]

Order status

ParameterDescription
keyYour API key
actionstatus
orderOrder ID
{"charge": "0.27819","start_count": "3572","status": "Partial","remains": "157","currency": "USD"}

Refill & cancel

ActionRequired params
refillkey, order
cancelkey, orders(comma-separated)
balancekey

cURL quick start

# Place an ordercurl -X POSThttps://your-domain.com/api/public/v2\ -d "key=YOUR_API_KEY" \ -d "action=add" \ -d "service=1" \ -d "link=https://instagram.com/yourhandle" \ -d "quantity=1000"